App::Cme::Command::migrate(3pm)

NAME
App::Cme::Command::migrate - Migrate the configuration of an application

VERSION
version 1.044

SYNOPSIS
  # check dpkg files, update deprecated parameters and save
  cme migrate dpkg

DESCRIPTION
Checks the content of the configuration file of an application (and show warnings if needed), update deprecated parameters (old value are saved to new parameters) and save the new configuration. See App::Cme::Command::migrate.

This command is equivalent to "cme modify xxx -save".

For more details, see "Upgrade" in Config::Model::Value

Common options
See "Global Options" in cme.

SEE ALSO
cme

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014-2022 by Dominique Dumont <ddumont@cpan.org>.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999